using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace SelectPdf.Samples.Pages
{
    public class PdfMergeModel : PageModel
    {
        public void OnGet()
        {

        }

        public IActionResult OnPost()
        {
            // the 2 initial files
            string file1 = Startup.ServerPath + @"\wwwroot\files\doc1.pdf";
            string file2 = Startup.ServerPath + @"\wwwroot\files\doc2.pdf";

            // load the 2 pdf documents
            PdfDocument doc1 = new PdfDocument(file1);
            PdfDocument doc2 = new PdfDocument(file2);

            // create a new pdf document
            PdfDocument doc = new PdfDocument();

            // add the pages of those 2 documents to the new document
            doc.Append(doc1);
            doc.Append(doc2);

            // save pdf document
            byte[] pdf = doc.Save();

            // close pdf document
            doc.Close();
            doc1.Close();
            doc2.Close();

            // return resulted pdf document
            FileResult fileResult = new FileContentResult(pdf, "application/pdf");
            fileResult.FileDownloadName = "Document.pdf";
            return fileResult;
        }
    }
}